/*-
 * Copyright (c) 2024 Varnish Software AS
 * All rights reserved.
 *
 * Author: Stephane Cance <stephane.cance@varnish-software.com>
 *
 * Counter and gauge list
 */

#ifndef RTBROKER_CTX_CNT
# define RTBROKER_CTX_CNT(nm)
#endif

#ifndef RTBROKER_COL_CNT
# define RTBROKER_COL_CNT(nm)
#endif

#ifndef RTBROKER_ACC_CNT
# define RTBROKER_ACC_CNT(nm)
#endif

#ifndef RTBROKER_ACC_GAUGE
# define RTBROKER_ACC_GAUGE(nm)
#endif


RTBROKER_CTX_CNT(n_account_events_run)
RTBROKER_CTX_CNT(n_collection_events_run)
#undef RTBROKER_CTX_CNT

RTBROKER_COL_CNT(n_discovery_restart)
RTBROKER_COL_CNT(n_bad_seqid)
RTBROKER_COL_CNT(n_new_participant)
RTBROKER_COL_CNT(n_unknown_new_participant)
RTBROKER_COL_CNT(n_participant_expired)
RTBROKER_COL_CNT(n_participant_gone)
#undef RTBROKER_COL_CNT

RTBROKER_ACC_CNT(n_lease_expired)
RTBROKER_ACC_CNT(n_lease_trim)
RTBROKER_ACC_CNT(n_lease_drop)
RTBROKER_ACC_CNT(n_lease_renewal)
RTBROKER_ACC_CNT(n_stable_imbalance)
RTBROKER_ACC_CNT(n_init_stable)
RTBROKER_ACC_CNT(n_enter_stable)
RTBROKER_ACC_CNT(n_lease_convert)
#undef RTBROKER_ACC_CNT

RTBROKER_ACC_GAUGE(with_claims)
RTBROKER_ACC_GAUGE(leased_utps)
#undef RTBROKER_ACC_GAUGE
